Name:           libguac-client-vnc
Version:        0.7.1
Release:        alt1_2
Summary:        VNC support for guacd
Group:          System/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  libcairo-devel
BuildRequires:  libgnutls-devel
BuildRequires:  libguac-devel >= 0.7.0
BuildRequires:  libvncserver-devel
Source44: import.info

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a plugin for guacd which provides support for VNC via the
libvncclient library (part of libvncserver).


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete


%files
%doc AUTHORS LICENSE README
# The libguac source code dlopen's these plugins, and they are named without
# the version in the shared object; i.e. "libguac-client-$(PROTOCOL).so".
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_2
- initial fc import

